<?php  
/**
 * Createing an services pannel for customizer
 *
 */
// START services SECTION 
    $wp_customize->add_section(
        'luzuk_premium_about_video_box',
        array(
            'title' => __( 'Video Section', 'luzuk premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    // ENABLE/DISABLE FEATURED SECTION
    $wp_customize->add_setting(
        'luzuk_premium_about_video_box_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'luzuk_premium_about_video_box_disable',
            array(
                'settings'      => 'luzuk_premium_about_video_box_disable',
                'section'       => 'luzuk_premium_about_video_box',
                'label'         => __( 'Disable Video Section', 'luzuk premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk premium' ),
                    'off' => __( 'No', 'luzuk premium' )
                ),
            )
        )
    );

backgroundManager($wp_customize, 'video_sectimg', 'luzuk_premium_about_video_box', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img'); 


//Section Video Padding
lzCustomLable($wp_customize, 'videosec_padding', 'luzuk_premium_about_video_box', ' Section Padding ');

$wp_customize->add_setting(
    'videosec_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'videosec_toppadding',
    array(
        'settings'      => 'videosec_toppadding',
        'section'       => 'luzuk_premium_about_video_box',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'videosec_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'videosec_bottompadding',
    array(
        'settings'      => 'videosec_bottompadding',
        'section'       => 'luzuk_premium_about_video_box',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);


//Section Video Padding   
lzCustomLable($wp_customize, 'ourvideosec_padding', 'luzuk_premium_about_video_box', ' Inner Video Box Padding Setting');

$wp_customize->add_setting(
    'ourvideosec_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '18em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ourvideosec_toppadding',
    array(
        'settings'      => 'ourvideosec_toppadding',
        'section'       => 'luzuk_premium_about_video_box',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'ourvideosec_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '18em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'ourvideosec_bottompadding',
    array(
        'settings'      => 'ourvideosec_bottompadding',
        'section'       => 'luzuk_premium_about_video_box',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

backgroundManager($wp_customize, 'video_lefttimg', 'luzuk_premium_about_video_box', $color='#fff', get_template_directory_uri().'/images/video.jpg', 'color'); 

// video_Opacity

lzCustomLable($wp_customize, 'video_Overlay', 'luzuk_premium_about_video_box', 'Image Overlay');

$wp_customize->add_setting(
    'video_Opacity',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0.3', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'video_Opacity',
    array(
        'settings'      => 'video_Opacity',
        'section'       => 'luzuk_premium_about_video_box',
        'type'          => 'text',
        'label'         => __( 'Opacity', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'videosec_imholyclr', 'luzuk_premium_about_video_box', 'Image Overlay Color', '#000');


// ADDRESS GOOGLE/MSN/OTHER video IFRAME OR EMBADE CODE
$wp_customize->add_setting('luzuk_premium_about_video_iframe_lbl', array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
  new luzuk_Customize_Heading($wp_customize, 'luzuk_premium_about_video_iframe_lbl',
    array(
      'settings'      => 'luzuk_premium_about_video_iframe_lbl',
      'section'       => 'luzuk_premium_about_video_box',
      'label'         => __( 'Video Embeded Code', 'luzuk premium' ),
    )
  )
);

// end to show & hide button
// field for addeding the video code
$wp_customize->add_setting('luzuk_about_video_box_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your video embade code'));

$wp_customize->add_control('luzuk_about_video_box_embade', array('settings'=>'luzuk_about_video_box_embade', 'section'=>'luzuk_premium_about_video_box','type'=>'textarea', 'label'=> __('Code For Video', 'luzuk premium')));


addColorPalatOption($wp_customize, 'videobuticon_color', 'luzuk_premium_about_video_box', 'Play Button Icon Color', '#fff');

addColorPalatOption($wp_customize, 'videobuticonbg_color', 'luzuk_premium_about_video_box', 'Play Button Icon BG Color', '#b46463');

addColorPalatOption($wp_customize, 'videobuticonborder_color', 'luzuk_premium_about_video_box', 'Play Button Icon Border Color', '#b46463');
